import { Vector3 } from "@minecraft/server";
import AbstractAgentTrackMission from "../../Commandeer/level/abstractTrackFollowMission";
import { vector3 } from "../../Commandeer/utils/vectorUtils";

const Level1CommandBlockPos: Vector3 = vector3(2495, -1, 26);

const level1StartPosition: Vector3 = vector3(2488, -2, 7);
const Level1EndPosition: Vector3 = vector3(2488, -2, 22);

let mission3part1: AbstractAgentTrackMission = new AbstractAgentTrackMission(
  "mission3part1",
  level1StartPosition,
  Level1EndPosition,
  Level1CommandBlockPos
);

export default mission3part1;
